This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 841495 - Creating a new jBPM3 project does not open the jBPM perspective
Creating a new jBPM3 project does not open the jBPM perspective
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Tooling (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Default User
Andrej Podhradsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 03:42 EDT by Andrej Podhradsky
Modified: 2013-07-15 09:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBIDE-12345 Minor Closed Creating a new jBPM3 project does not open the jBPM perspective 2014-02-24 08:13:23 EST

  None (edit)
Description Andrej Podhradsky 2012-07-19 03:42:36 EDT
Description of problem:
Creating a new jBPM3 project does not open the jBPM perspective

Version-Release number of selected component (if applicable):
SOA Tooling 5.0.0.GA-H18

How reproducible:
Always

Steps to Reproduce:
1. Put eclipse into any perspective other than jBPM jPDL 3. 
2. Create a new jBPM3 Project. 
  
Actual results:
Eclipse remains in the current perspective.

Expected results:
The jBPM jPDL 3 perspective should be opened.
Comment 1 JBoss JIRA Server 2012-11-28 03:05:41 EST
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira JBIDE-12345

Tested version: JBDS 5.0.1.GA + SOA Tooling 5.0.1.GA
Expected behaviour: after creating a new jBPM3 project eclipse should give the user an option to go into jBPM jPDL perspective.
Actual behavior: after creating a new jBPM3 project nothing happens (only the project is created)
Comment 2 JBoss JIRA Server 2013-04-17 13:48:27 EDT
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

Hey Len, despite the fact that I'm not working on jBPM anymore for more than two years I believe I am still the owner of this module. So I understand that it is not solved yet? Is there a deadline for this to be fixed?
Comment 3 JBoss JIRA Server 2013-04-17 13:53:07 EDT
Len DiMaggio <ldimaggi@redhat.com> made a comment on jira JBIDE-12345

No deadline that I know of - is it a difficult fix?
Comment 4 JBoss JIRA Server 2013-04-17 13:56:07 EDT
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

Not at all.
Comment 5 JBoss JIRA Server 2013-04-17 13:58:21 EDT
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

I've assigned it to myself and scheduled it for 4.1.0.Beta1. Is that ok?
Comment 6 JBoss JIRA Server 2013-04-17 15:32:32 EDT
Paul Leacu <pleacu@redhat.com> made a comment on jira JBIDE-12345

Thanks for jumping in Koen.  I'd say fix it as soon as you can and we'll see if it fits with the Alpha schedule or Beta.
Comment 7 JBoss JIRA Server 2013-05-02 10:15:06 EDT
Koen Aers <koen.aers@jboss.com> updated the status of jira JBIDE-12345 to Resolved
Comment 8 JBoss JIRA Server 2013-05-02 10:15:06 EDT
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

commit: 81a320004a614e7a162a237a9fe4534d10c051c8
Comment 9 JBoss JIRA Server 2013-05-02 10:55:42 EDT
Paul Leacu <pleacu@redhat.com> made a comment on jira JBIDE-12345

Cool - looks like a 4.1.0 Beta candidate for sure.  Please update:

https://issues.jboss.org/browse/JBTIS-74

when you update the jBPM3 site.
Comment 10 JBoss JIRA Server 2013-05-02 11:07:27 EDT
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

AFAIK this is automated isn't it?
Comment 11 JBoss JIRA Server 2013-05-02 11:18:48 EDT
Paul Leacu <pleacu@redhat.com> made a comment on jira JBIDE-12345

Don't know - but this will have to be updated in the JBTIS composites:

    <!-- JBPM -->
    <child location="http://download.jboss.org/jbosstools/builds/staging/jbosstools-4.0_trunk.component--jbpm/all/repo/"/>
Comment 12 JBoss JIRA Server 2013-05-02 12:40:11 EDT
Koen Aers <koen.aers@jboss.com> made a comment on jira JBIDE-12345

AFAIK this is supposed to be picked up automatically by Jenkins. I'll check it tomorrow.
Comment 13 JBoss JIRA Server 2013-07-15 09:42:19 EDT
Andrej Podhradsky <apodhrad@redhat.com> updated the status of jira JBIDE-12345 to Closed
Comment 14 JBoss JIRA Server 2013-07-15 09:42:19 EDT
Andrej Podhradsky <apodhrad@redhat.com> made a comment on jira JBIDE-12345

Verified with JBTIS 4.1.0, in particular jBPM3 of version 4.5.200.Alpha2-v20130619-1852-B199

Note You need to log in before you can comment on or make changes to this bug.